# Corporate Contributor License Agreement (CCLA)

Thank you for your interest in contributing to ScheduleTogether (the "Project"). To clarify the intellectual property rights granted with Contributions from any entity, we require all entities contributing to the Project to agree to this Corporate Contributor License Agreement ("Agreement"). This Agreement ensures that the intellectual property of the Project remains protected while allowing your organization to make Contributions.

Please read this Agreement carefully. By submitting a Contribution, the Entity accepts and agrees to the following terms.

---

## **1. Definitions**

**"Entity"** (or "You") shall mean the legal entity agreeing to this Agreement, including its employees, contractors, or agents authorized to submit Contributions on its behalf. "Control" means (i) the power to direct or manage the Entity’s operations, whether by contract or ownership, (ii) ownership of 50% or more of the outstanding shares, or (iii) beneficial ownership of the Entity.

**"Contribution"** shall mean any original work of authorship, including modifications or additions to an existing work, that is intentionally submitted by You or Your Authorized Contributors to the Project. "Submitted" means any form of communication (electronic, verbal, or written) sent to the maintainers of the Project, including but not limited to source code, documentation, bug reports, or feedback. Contributions explicitly marked or otherwise designated by You as "Not a Contribution" are excluded.

**"Authorized Contributor"** shall mean any individual who is authorized by the Entity to submit Contributions under this Agreement.

**"Project"** refers to the software, documentation, or related works that are maintained as part of [Project Name].

**"Schedule A"** refers to the list of Authorized Contributors designated by the Entity.

**"Schedule B"** refers to optional concurrent software grants, if any, made by the Entity to the Project.

---

## **2. Grant of Copyright License**

Subject to the terms and conditions of this Agreement, You hereby grant to the maintainers of the Project and recipients of software distributed by the Project a perpetual, worldwide, non-exclusive, royalty-free, irrevocable copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, sublicense, and distribute Your Contributions and such derivative works.

---

## **3. Grant of Patent License**

Subject to the terms and conditions of this Agreement, You hereby grant to the maintainers of the Project and recipients of software distributed by the Project a perpetual, worldwide, non-exclusive, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, sell, offer to sell, import, and otherwise transfer Your Contributions, where such license applies only to those patent claims licensable by You that are necessarily infringed by Your Contributions alone or by combination with the Project. If any entity institutes patent litigation (including a cross-claim or counterclaim) against You or any other entity alleging that the Project or Your Contributions infringe a patent, any patent licenses granted to that entity under this Agreement for that Contribution shall terminate as of the date such litigation is filed.

---

## **4. Representations and Warranties**

By submitting a Contribution, You represent that:

1. Each of Your Contributions is an original creation by You or Your Authorized Contributors and does not include any material that infringes the intellectual property rights of any third party.
2. You have the legal right to grant the licenses set forth in this Agreement.
3. If a third party (such as a contractor) owns intellectual property rights to any Contributions, You have obtained the necessary permissions to make Contributions on behalf of that third party.
4. Your Contributions are not subject to any restrictions, licenses, or other obligations that could conflict with the licenses granted under this Agreement.
5. If You submit work that is not Your original creation, You will clearly identify the source and any associated restrictions or licenses.

---

## **5. Responsibility for Authorized Contributors**

You are responsible for ensuring that each Authorized Contributor acting on Your behalf is aware of and agrees to the terms of this Agreement. You agree to maintain an updated list of Authorized Contributors, as specified in Schedule A, and to notify the maintainers of the Project of any changes to this list.

---

## **6. Optional Concurrent Software Grant**

If applicable, You may provide additional software or related works to the Project that are not part of specific Contributions. These grants, if any, will be identified in Schedule B. Such grants are subject to the same licensing terms as outlined in this Agreement.

---

## **7. Entity Retains Ownership**

You retain ownership of the copyright in Your Contributions. This Agreement does not transfer ownership of Your Contributions to the Project or its maintainers.

---

## **8. No Obligation to Use**

The Project maintainers are under no obligation to accept or include Your Contributions in the Project.

---

## **9. Disclaimer of Warranties**

Unless required by applicable law or agreed to in writing, You provide Your Contributions on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of title, non-infringement, merchantability, or fitness for a particular purpose.

---

## **10. Governing Law**

This Agreement is governed by the laws of the jurisdiction in which the Project’s primary maintainer is located, unless otherwise agreed in writing.

---

## **Acceptance**

By submitting a Contribution to the Project, You acknowledge that You have read and agreed to the terms of this Corporate Contributor License Agreement.

Entity Name: ______________________________________________  
Authorized Representative Name: ___________________________  
Title: ____________________________________________  
Date: ________________  
Signature (electronic or physical): ____________________________

---

## **Schedule A**

[List of Authorized Contributors]

---

## **Schedule B**

[Optional concurrent software grants, if applicable.]

