# Individual Contributor License Agreement (ICLA)

Thank you for your interest in contributing to ScheduleTogether (the "Project"). To clarify the intellectual property rights granted with Contributions from any individual, we require all Contributors to agree to the terms outlined in this Contributor License Agreement ("Agreement"). This Agreement protects your rights as a Contributor while enabling us to maintain the legal integrity of the Project. It does not change your rights to use your own Contributions for any purpose.

Please read this Agreement carefully. By submitting a Contribution, you accept and agree to the following terms.

---

## **1. Definitions**

**"You" (or "Your")** shall mean the copyright owner or legal entity authorized by the copyright owner that is entering into this Agreement. For legal entities, the entity making a Contribution and all other entities that control, are controlled by, or are under common control with that entity are considered a single Contributor. For purposes of this definition, "control" means (i) the power to direct or manage the entity’s operations, whether by contract or ownership, (ii) ownership of 50% or more of the outstanding shares, or (iii) beneficial ownership of the entity.

**"Contribution"** shall mean any original work of authorship, including modifications or additions to an existing work, that is intentionally submitted by You to the Project. For the purposes of this definition, "submitted" means any form of communication (electronic, verbal, or written) sent to the maintainers of the Project, including but not limited to source code, documentation, bug reports, or feedback. Contributions explicitly marked or otherwise designated by You as "Not a Contribution" are excluded.

**"Project"** refers to the software, documentation, or related works that are maintained as part of [Project Name].

---

## **2. Grant of Copyright License**

Subject to the terms and conditions of this Agreement, You hereby grant to the maintainers of the Project and recipients of software distributed by the Project a perpetual, worldwide, non-exclusive, royalty-free, irrevocable copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, sublicense, and distribute Your Contributions and such derivative works.

---

## **3. Grant of Patent License**

Subject to the terms and conditions of this Agreement, You hereby grant to the maintainers of the Project and recipients of software distributed by the Project a perpetual, worldwide, non-exclusive, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, sell, offer to sell, import, and otherwise transfer Your Contributions, where such license applies only to those patent claims licensable by You that are necessarily infringed by Your Contributions alone or by combination with the Project. If any entity institutes patent litigation (including a cross-claim or counterclaim) against You or any other entity alleging that the Project or Your Contributions infringe a patent, any patent licenses granted to that entity under this Agreement for that Contribution shall terminate as of the date such litigation is filed.

---

## **4. Representations and Warranties**

By submitting a Contribution, You represent that:

1. Each of Your Contributions is an original creation by You and does not include any material that infringes the intellectual property rights of any third party.
2. You have the legal right to grant the licenses set forth in this Agreement.
3. If Your employer has rights to intellectual property that You create, You represent that You have received permission to make Contributions on behalf of that employer, that Your employer has waived such rights, or that Your employer has executed a separate Contributor License Agreement with the Project.
4. Your Contributions are not subject to any restrictions, licenses, or other obligations that could conflict with the licenses granted under this Agreement.

---

## **5. Contributor Retains Ownership**

You retain ownership of the copyright in Your Contributions. This Agreement does not transfer ownership of Your Contributions to the Project or its maintainers.

---

## **6. No Obligation to Use**

The Project maintainers are under no obligation to accept or include Your Contributions in the Project.

---

## **7. Disclaimer of Warranties**

Unless required by applicable law or agreed to in writing, You provide Your Contributions on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of title, non-infringement, merchantability, or fitness for a particular purpose.

---

## **8. Notifications**

You agree to notify the maintainers of the Project of any facts or circumstances of which You become aware that would make any representations in this Agreement inaccurate.

---

## **9. Governing Law**

This Agreement is governed by the laws of the jurisdiction in which the Project's primary maintainer is located, unless otherwise agreed in writing.

---

## **Acceptance**

By submitting a Contribution to the Project, You acknowledge that You have read and agreed to the terms of this Contributor License Agreement.

Full Name: ______________________________________________  
Public Name (if different): _______________________________  
Date: ________________  
Signature (electronic or physical): ____________________________

